I have a UPS GE Match 500 connected to my computer(OpenSuse 11.1). When I start Network UPS Tools - UPS driver controller 2.2.2(just driver)a get error:
Network UPS Tools - UPS driver controller 2.2.2
Network UPS Tools - GE/IMV/Victron UPS driver 0.1.9 (2.2.2)

*** stack smashing detected ***: /usr/lib/ups/driver/victronups terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7e58da8]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7e58d60]
/usr/lib/ups/driver/victronups[0x804a568]
/usr/lib/ups/driver/victronups[0x804b29d]
/lib/libc.so.6(__libc_start_main+0xe5)[0xb7d88705]
/usr/lib/ups/driver/victronups[0x8049661]
======= Memory map: ========
08048000-08054000 r-xp 00000000 08:02 2553778 /usr/lib/ups/driver/victronups
08054000-08055000 r--p 0000b000 08:02 2553778 /usr/lib/ups/driver/victronups
08055000-08056000 rw-p 0000c000 08:02 2553778 /usr/lib/ups/driver/victronups
08056000-08077000 rw-p 08056000 00:00 0 [heap]
b7d27000-b7d34000 r-xp 00000000 08:02 1733497 /lib/libgcc_s.so.1
b7d34000-b7d35000 r--p 0000c000 08:02 1733497 /lib/libgcc_s.so.1
b7d35000-b7d36000 rw-p 0000d000 08:02 1733497 /lib/libgcc_s.so.1
b7d36000-b7d4b000 r-xp 00000000 08:02 1733442 /lib/libnsl-2.9.so
b7d4b000-b7d4c000 r--p 00014000 08:02 1733442 /lib/libnsl-2.9.so
b7d4c000-b7d4d000 rw-p 00015000 08:02 1733442 /lib/libnsl-2.9.so
b7d4d000-b7d4f000 rw-p b7d4d000 00:00 0
b7d71000-b7d72000 rw-p b7d71000 00:00 0
b7d72000-b7ec7000 r-xp 00000000 08:02 1733332 /lib/libc-2.9.so
b7ec7000-b7ec8000 ---p 00155000 08:02 1733332 /lib/libc-2.9.so
b7ec8000-b7eca000 r--p 00155000 08:02 1733332 /lib/libc-2.9.so
b7eca000-b7ecb000 rw-p 00157000 08:02 1733332 /lib/libc-2.9.so
b7ecb000-b7ece000 rw-p b7ecb000 00:00 0
b7ecf000-b7ed9000 r-xp 00000000 08:02 1733457 /lib/libnss_files-2.9.so
b7ed9000-b7eda000 r--p 00009000 08:02 1733457 /lib/libnss_files-2.9.so
b7eda000-b7edb000 rw-p 0000a000 08:02 1733457 /lib/libnss_files-2.9.so
b7edb000-b7ee4000 r-xp 00000000 08:02 1733455 /lib/libnss_nis-2.9.so
b7ee4000-b7ee5000 r--p 00008000 08:02 1733455 /lib/libnss_nis-2.9.so
b7ee5000-b7ee6000 rw-p 00009000 08:02 1733455 /lib/libnss_nis-2.9.so
b7ee6000-b7eed000 r-xp 00000000 08:02 1733445 /lib/libnss_compat-2.9.so
b7eed000-b7eee000 r--p 00006000 08:02 1733445 /lib/libnss_compat-2.9.so
b7eee000-b7eef000 rw-p 00007000 08:02 1733445 /lib/libnss_compat-2.9.so
b7eef000-b7ef1000 rw-p b7eef000 00:00 0
b7ef1000-b7f0f000 r-xp 00000000 08:02 1733321 /lib/ld-2.9.so
b7f0f000-b7f10000 r--p 0001d000 08:02 1733321 /lib/ld-2.9.so
b7f10000-b7f11000 rw-p 0001e000 08:02 1733321 /lib/ld-2.9.so
bfdfc000-bfe11000 rw-p bffeb000 00:00 0 [stack]
ffffe000-fffff000 r-xp 00000000 00:00 0 [vdso]
Driver exited abnormally

NUT version is 2.2.2-63.13.i586.
If I start NUT driver from compiled source file nut-2.2.2.tar.gz and with same config files(ups.conf, upsd.conf and so on..) everything is Ok. Why? I want to have rpm package. By the way, if I run a NUT from src.rpm(nut-2.2.2-67.1.src.rpm) I have same problem too :-(